Page MenuHomePhabricator

Database query error on [[Special:UnconnectedPages]]
Closed, ResolvedPublic1 Story Points

Description

In this URL, I got this error instead of the list I was expecting:

A database query error has occurred. This may indicate a bug in the software.

Function: Wikibase\Client\Specials\SpecialUnconnectedPages::getResult
Error: 2013 Lost connection to MySQL server during query (10.64.48.22)

Version: unspecified
Severity: normal

Details

Reference
bz72696

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport set Reference to bz72696.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Oct 29 2014, 7:57 PM

URL above works for me right now; cannot reproduce.

I was able to reproduce it right now:
A database query error has occurred. This may indicate a bug in the software.

Function: Wikibase\Client\Specials\SpecialUnconnectedPages::getResult
Error: 2013 Lost connection to MySQL server during query (10.64.48.16)

PS: I was using Firefox 33.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher added subscribers: daniel, aude, hoo and 2 others.

Same problem: https://en.wikipedia.org/w/index.php?title=Special:UnconnectedPages/&limit=50&offset=50000
Probably results in the following message in logstash:

SlowTimer [59996ms] at runtime/ext_mysql: slow query: SELECT /* Wikibase\Client\Specials\SpecialUnconnectedPages::getResult IP.ADR.HID.DEN */ page_namespace,page_title,page_id,page_len,page_is_redirect,count(ll_from) AS page_num_iwlinks FROM page FORCE INDEX (name_title) LEFT JOIN page_props ON ((page_id = pp_page) AND (pp_propname = 'wikibase_item')) LEFT JOIN langlinks ON ((ll_from = page_id)) WHERE (page_namespace IN (0,4,10,12,14,100,108,118,710,446,2600,828)) AND page_is_redirect = '0' AND (pp_propname IS NULL) GROUP BY page_namespace, page_title ORDER BY page_namespace, page_title LIMIT 50000,51

Lydia_Pintscher triaged this task as High priority.Jan 3 2015, 9:51 AM
He7d3r updated the task description. (Show Details)Jan 3 2015, 1:32 PM

Not possible to look for unconnected pages with local interwiki's on nlwiki: https://nl.wikipedia.org/wiki/Speciaal:OngekoppeldePaginas?page=&submit=OK&iwdata=only

Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.

Part of the investigation:

  • what use cases are there for this special page?
  • what are alternative approaches for covering these use cases?
aude claimed this task.Apr 23 2015, 2:01 PM
Multichill added a subscriber: Reedy.

Talked about this with Katie on irc. Trying to solve this without caching doesn't sound like a good plan to me. cced Sam.

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:04 AM
aude added a comment.Jun 2 2015, 12:51 PM

https://gerrit.wikimedia.org/r/#/c/167795/ (to extend QueryPage) by ladsgroup might be a good starting point. needs rebase and to have the tests work (and added)

Tobi_WMDE_SW moved this task from Backlog to Doing on the Wikidata-Sprint-2015-06-02 board.
daniel added a subtask: Restricted Task.Jun 15 2015, 10:58 AM
aude removed aude as the assignee of this task.Jun 16 2015, 12:39 PM
daniel closed this task as Resolved.Jun 18 2015, 7:03 PM
daniel claimed this task.
daniel closed subtask Restricted Task as Resolved.

We have disabled the more expensive filtering mode, and have restricted the paging offset to a hard limit of 10000. It's still not the most efficient, but should not longer be a DoS concern. The improved version is tracked in T102819: [Story] Filter pages in Special:UnconnectedPages